Subject: Re: Bug in gitk - can post the window off screen

From: "Shawn O. Pearce" <[email-masked]>
Date: Thu, 7 Feb 2008 01:30:20 -0500

Tommy Thorn <[email-masked]> wrote:
> Just a quick heads-up: I was running a dual screen setup with gitk on my 
> 2nd monitor. When I later started gitk up without the 2nd monitor, the 
> gitk window didn't appear. Given the time between the two sessions, it 
> didn't occur to me what the problem was.
> 
> Gitk should probably validate the "set geometry(main)" variable against 
> the current resolution.

Sad to say but this is a known issue with both gitk and git-gui.
Both applications save the prior geometry and restore it during
the next run, but neither validates the new geometry makes sense
with the current available desktop space.  :-\

-- 
Shawn.